unicorn Ruby/Rack server user+dev discussion/patches/pulls/bugs/help
 help / color / mirror / code / Atom feed
From: Hleb Valoshka <375gnu@gmail.com>
To: 918916@bugs.debian.org
Cc: Dominik George <natureshadow@debian.org>,
	Justin Hallett <thesin@southofheaven.org>,
	 unicorn-public@bogomips.org
Subject: Re: Bug#918916: Unicorn not reporting proper version for gemfile?
Date: Sat, 12 Jan 2019 12:42:14 +0300	[thread overview]
Message-ID: <CAAB-KcnLdiKLQDtPqbgwiM2gk2qsHXr6m_fuFwD-MijB514Etw@mail.gmail.com> (raw)
In-Reply-To: <20190110202821.3gmzl27l4p4n2na3@dcvr>

On 1/10/19, Eric Wong <e@80x24.org> wrote:
>> +-  s.version = (ENV['VERSION'] || '5.4.1').dup
>> ++  s.version = '5.4.1'
>
> Why is ignoring ENV['VERSION'] necessary for the Debian build?
> I can probably remove that check if desired from the upstream
> package before the 5.5.0 release.

I've checked debian's git, this patch was introduced when
ENV["VERSION"] was required to use the gemspec. Now as the upstream
gemspec provides the same it's not required.

The problem is not in Unicorn. The problem is in gem2deb which
generated incorrect unicorn-0.gemspec for the package.

  reply	other threads:[~2019-01-12  9:42 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
     [not found] <E5E85D7F-061C-422C-B02E-8FC248F87986@southofheaven.org>
     [not found] ` <20190110200102.GA14520@portux.naturalnet.de>
2019-01-10 20:28   ` Eric Wong
2019-01-12  9:42     ` Hleb Valoshka [this message]
2019-01-12 10:04       ` Dominik George
2019-01-12 12:18         ` Hleb Valoshka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://yhbt.net/unicorn/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=CAAB-KcnLdiKLQDtPqbgwiM2gk2qsHXr6m_fuFwD-MijB514Etw@mail.gmail.com \
    --to=375gnu@gmail.com \
    --cc=918916@bugs.debian.org \
    --cc=natureshadow@debian.org \
    --cc=thesin@southofheaven.org \
    --cc=unicorn-public@bogomips.org \
    --subject='Re: Bug#918916: Unicorn not reporting proper version for gemfile?' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

Code repositories for project(s) associated with this inbox:

	../../unicorn.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).